deltacloud-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mfoj...@apache.org
Subject svn commit: r1475696 - in /deltacloud/trunk/site: content/install-deltacloud.md output/install-deltacloud.html
Date Thu, 25 Apr 2013 10:34:16 GMT
Author: mfojtik
Date: Thu Apr 25 10:34:16 2013
New Revision: 1475696

URL: http://svn.apache.org/r1475696
Log:
Updated Debian/Ubuntu instructions (DTACLOUD-555)

Modified:
    deltacloud/trunk/site/content/install-deltacloud.md
    deltacloud/trunk/site/output/install-deltacloud.html

Modified: deltacloud/trunk/site/content/install-deltacloud.md
URL: http://svn.apache.org/viewvc/deltacloud/trunk/site/content/install-deltacloud.md?rev=1475696&r1=1475695&r2=1475696&view=diff
==============================================================================
--- deltacloud/trunk/site/content/install-deltacloud.md (original)
+++ deltacloud/trunk/site/content/install-deltacloud.md Thu Apr 25 10:34:16 2013
@@ -82,6 +82,12 @@ The following instructions focus on inst
 
 Use the following command to check, whether the installation was successful. You should see
a similar response:
 
+Create symlinks:
+<pre>
+$ ln -s /usr/bin/ruby1.9.1 /usr/bin/ruby
+$ ln -s /usr/bin/gem1.9.1 /usr/bin/ge
+</pre>
+
 <pre>
 $ ruby -v
 ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux]
@@ -99,19 +105,26 @@ $ gem -v
 
 <pre>
 $ sudo apt-get install g++
-$ sudo apt-get install libxml libxml2-dev
-$ sudo apt-get install libxslt libxslt-dev
-$ sudo apt-get install sqlite sqlite-dev
+$ sudo apt-get install libxml++2.6-dev libxml2-dev
+$ sudo apt-get install libxslt1.1 libxslt-dev
+$ sudo apt-get install sqlite libsqlite3-dev
 </pre>
 
 <h4 id="gem-list">Gem dependecies</h4>
 <p>Debian and Ubuntu distributions also require to install following gem dependencies:
 <pre>
-gem install thin sinatra rack-accept rest-client sinatra-content-for nokogiri
+$ gem install thin sinatra rack-accept rest-client sinatra-content-for nokogiri
 </pre>
 Once these gems are installed, go to the directory (normally <strong>/var/lib/gems/1.9.1/gems</strong>),
where gems are located and check that you have following gems listed. You may see more gems
than you directly installed, because RubyGems install gem dependecies automaticly.
 </p>
 
+Create symlink for the launcher:
+<pre>
+$ ln -s /var/lib/gems/1.9.1/gems/deltacloud-core-1.1.3/bin/deltacloudd /usr/bin/deltacloudd
+</pre>
+
+<em>Special thanks to Andreas Schraitle for updating these instructions.</em>
+
 <br/>
 
 <div class="row">

Modified: deltacloud/trunk/site/output/install-deltacloud.html
URL: http://svn.apache.org/viewvc/deltacloud/trunk/site/output/install-deltacloud.html?rev=1475696&r1=1475695&r2=1475696&view=diff
==============================================================================
--- deltacloud/trunk/site/output/install-deltacloud.html (original)
+++ deltacloud/trunk/site/output/install-deltacloud.html Thu Apr 25 10:34:16 2013
@@ -175,6 +175,12 @@ $ sudo yum install sqlite sqlite-devel
 
 <p>Use the following command to check, whether the installation was successful. You
should see a similar response:</p>
 
+<p>Create symlinks:</p>
+<pre>
+$ ln -s /usr/bin/ruby1.9.1 /usr/bin/ruby
+$ ln -s /usr/bin/gem1.9.1 /usr/bin/ge
+</pre>
+
 <pre>
 $ ruby -v
 ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux]
@@ -192,19 +198,26 @@ $ gem -v
 
 <pre>
 $ sudo apt-get install g++
-$ sudo apt-get install libxml libxml2-dev
-$ sudo apt-get install libxslt libxslt-dev
-$ sudo apt-get install sqlite sqlite-dev
+$ sudo apt-get install libxml++2.6-dev libxml2-dev
+$ sudo apt-get install libxslt1.1 libxslt-dev
+$ sudo apt-get install sqlite libsqlite3-dev
 </pre>
 
 <h4 id="gem-list">Gem dependecies</h4>
 <p>Debian and Ubuntu distributions also require to install following gem dependencies:
 </p><pre>
-gem install thin sinatra rack-accept rest-client sinatra-content-for nokogiri
+$ gem install thin sinatra rack-accept rest-client sinatra-content-for nokogiri
 </pre>
 Once these gems are installed, go to the directory (normally <strong>/var/lib/gems/1.9.1/gems</strong>),
where gems are located and check that you have following gems listed. You may see more gems
than you directly installed, because RubyGems install gem dependecies automaticly.
 
 
+<p>Create symlink for the launcher:</p>
+<pre>
+$ ln -s /var/lib/gems/1.9.1/gems/deltacloud-core-1.1.3/bin/deltacloudd /usr/bin/deltacloudd
+</pre>
+
+<p><em>Special thanks to Andreas Schraitle for updating these instructions.</em></p>
+
 <p><br></p>
 
 <div class="row">



Mime
View raw message